const std = @import("std");

const dbg_print = std.debug.print;


pub fn extract(allocator: std.mem.Allocator, json_string: []const u8) !void {
    const parsed = try std.json.parseFromSlice(
        std.json.Value,
        allocator,
        json_string,
        .{},
    );
    defer parsed.deinit();

    const json_data = parsed.value;

    if (json_data == .array) {
        for (json_data.array.items) |item| {
            if (item == .object) {
                if (item.object.get("OriginalTrackUrl")) |url_value| {
                    if (url_value == .string) {
                        dbg_print("OriginalTrackUrl: {s}\n", .{url_value.string});
                    }
                }
                if (item.object.get("title")) |title_value| {
                    if (title_value == .string) {
                        dbg_print("Title: {s}\n", .{title_value.string});
                    }
                }
            }
        }
    }
}

