const std = @import("std");

const dbg_print = std.debug.print;


pub fn fetch(allocator: std.mem.Allocator, url: []const u8) ![]u8 {
    const uri = try std.Uri.parse(url);

    var client = std.http.Client{ .allocator = allocator };
    defer client.deinit();

    const server_header_buffer: []u8 = try allocator.alloc(u8, 1024 * 8);
    defer allocator.free(server_header_buffer);

    var req = try client.open(.GET, uri, .{
        .server_header_buffer = server_header_buffer,
    });
    defer req.deinit();

    try req.send();
    try req.finish();
    try req.wait();

    //dbg_print("Response status: {d}\n", .{req.response.status});

    const body = try req.reader().readAllAlloc(allocator, 1024 * 64);

    if (req.response.status == .ok) {
        return body;
    }else{
        return error.Unexpected;
    }
}

